## collada-dom 2.5.0+ds1

=== dom/test/CMakeLists.txt ===
add_subdirectory(1.4)
add_subdirectory(1.5)

=== dom/src/1.5/CMakeLists.txt ===
file(GLOB dom_files ${CMAKE_CURRENT_SOURCE_DIR}/dom/*.cpp)
add_library(colladadom150 STATIC ${dom_files})
set_target_properties(colladadom150 PROPERTIES COMPILE_FLAGS "${COLLADA_COMPILE_FLAGS}" LINK_FLAGS "${libpcrecpp_LDFLAGS_OTHERS}")

=== dom/test/1.5/CMakeLists.txt ===
include_directories(${COLLADA_INTERNAL_INCLUDE}/1.5)
add_executable(domTest150 domTest.cpp export.cpp integrationExample.cpp)
set_target_properties(domTest150 PROPERTIES COMPILE_FLAGS "${COLLADA_DOM_EXTERNAL_FLAGS} -DCOLLADA_DOM_USING_150")
target_link_libraries(domTest150 collada-dom)

# have to create a symlink to the data or otherwise tests will not be able to find files
execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/data ${CMAKE_CURRENT_BINARY_DIR}/data)

=== debian/changelog ===
collada-dom (2.5.0+ds1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Timo Röhling ]
  * Override CMake minimum version in d/rules (Closes: #1112803)
  * Bump Standards-Version to 4.7.2
  * Replace obsolete pkg-config dependency with pkgconf

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Sep 2025 11:14:51 +0200

collada-dom (2.5.0+ds1-3) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sat, 29 Jan 2022 19:15:39 +0100

collada-dom (2.5.0+ds1-2) unstable; urgency=medium

  * Change Build dependency. pcre3 -> liburiparser (Closes: #1000098)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 28 Jan 2022 14:23:22 +0100

collada-dom (2.5.0+ds1-1) unstable; urgency=medium

  * Uploaded version to unstable.
  * Transition initiated to collada-dom 2.5

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 15 Mar 2020 18:26:18 +0100

collada-dom (2.5.0+ds1-1~exp1) experimental; urgency=medium

  [ Wookey ]
  * New upstream release - remove supreceeded patches
  * New upstream version 2.5.0+ds1
  * Update packaging for 2.5.0, dh 12 and standards 4.5.0
  * Update changelog date for release
  * Update VCS URLs for move to salsa.d.o
  * Enable multiarch paths and metadata
  * Bumped standards version to 4.5.0: Added Rules-Requires-Root
  * Move to debhelper-compat 12: remove dh --parallel use dh_missing
  * Remove gzipped nonfree test files (.dae.gz) from source
  * Update watch file to v4
  * Lintian fixups

  [ Jelmer Vernooij ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.
  * Don't specify --with=quilt, since package uses '3.0 (quilt)' source
    format.

  [ Leopold Palomo-Avellaneda ]
  * Fix missing section in package
  * Simplified rules
  * Drop ${shlibs:Depends} is not defined in -dev
  * Added salsa ci yaml file
  * Added patch to fix FTBFS on kfreebsd. Closes: #908664
  * Added new package libcollada-dom-dev to make a migration
  * Renamed packages
  * Deleted trailing whitespace
  * Fix mistake renaming the package

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 05 Feb 2020 08:04:08 +0100

=== debian/control ===
Source: collada-dom
Priority: optional
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
	   Rosen Diankov <rosen.diankov@gmail.com>,
	   Wookey <wookey@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libxml2-dev,
 libboost-dev, zlib1g-dev, libboost-filesystem-dev, libboost-system-dev,
 pkgconf, libminizip-dev, liburiparser-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/rdiankov/collada-dom
Vcs-Git: https://salsa.debian.org/science-team/collada-dom.git
Vcs-Browser: https://salsa.debian.org/science-team/collada-dom

Package: libcollada-dom2.5-dp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libbullet2
Description: collada-dom 2.5.0  - COLLADA using double precision
 The COLLADA Document Object Model (DOM) is an application programming
 interface (API) that provides a C++ object representation of a COLLADA XML
 instance document.

Package: libcollada-dom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libcollada-dom2.5-dp0 (=${binary:Version})
Replaces: libcollada-dom2.4-dp-dev (<< 2.4.4+ds1-2~)
Breaks: libcollada-dom2.4-dp-dev (<< 2.4.4+ds1-2~)
Suggests: libbullet2-dev
Description: collada-dom 2.5.0 C++ headers and build tools
 The COLLADA Document Object Model (DOM) is an application programming
 interface (API) that provides a C++ object representation of a COLLADA XML
 instance document.
 .
 This package contains C++ headers and build tools. The library is built using
 double precision.

Package: libcollada-dom2.4-dp-dev
Architecture: all
Section: oldlibs
Depends: libcollada-dom-dev, ${misc:Depends}
Description: Transitional package
 This is a transitional package. It can safely be removed. The package name
 has been changed from libcollada-dom2.4-dp-dev to libcollada-dom-dev.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# Old upstream version. We change to github from Rosen Diankov
#opts=uversionmangle=s/$/+dfsg/ \
# http://sf.net/collada-dom/collada-dom-(.*)\.tar\.gz
# https://github.com/rdiankov/collada-dom/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/collada-dom-$1\.tar\.gz/ repacksuffix=+ds1 \
# https://github.com/rdiankov/collada-dom/releases .*/v?(\d\S*)\.tar\.gz
# For GitHub projects you can use the tags or releases page.  Since the
# archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/collada-dom-$1.tar.gz/" \
# https://github.com/rdiankov/collada-dom/releases ?:.*/)?v?(\d[\d\.]*)\.tar\.gz
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/collada-dom-$1\.tar\.gz/,dversionmangle=s/\+ds1\d?$//,repacksuffix=+ds1 \
  https://github.com/rdiankov/collada-dom/tags .*/v?(\d\S*)\.tar\.gz
